rpm: pgpPktOnepass_s Struct Reference

rpm 4.13.0

Data Fields
pgpPktOnepass_s Struct Reference
OpenPGP API.

5.4. More...

`#include <rpmpgp.h>`

## Data Fields
uint8_t | version
uint8_t | sigtype
uint8_t | hash_algo
uint8_t | pubkey_algo
pgpKeyID_t | signid
uint8_t | nested

## Detailed Description

5.4.

One-Pass Signature Packets (Tag 4)

The One-Pass Signature packet precedes the signed data and contains enough information to allow the receiver to begin calculating any hashes needed to verify the signature. It allows the Signature Packet to be placed at the end of the message, so that the signer can compute the entire signed message in one pass.

A One-Pass Signature does not interoperate with PGP 2.6.x or earlier.

The body of this packet consists of:

- A one-octet version number. The current version is 3.
- A one-octet signature type. Signature types are described in section 5.2.1.
- A one-octet number describing the hash algorithm used.
- A one-octet number describing the public key algorithm used.
- An eight-octet number holding the key ID of the signing key.
- A one-octet number holding a flag showing whether the signature is nested. A zero value indicates that the next packet is another One-Pass Signature packet that describes another signature to be applied to the same message data.

Note that if a message contains more than one one-pass signature, then the signature packets bracket the message; that is, the first signature packet after the message corresponds to the last one-pass packet and the final signature packet corresponds to the first one- pass packet.

Definition at line 525 of file rpmpgp.h.

## Field Documentation

## ◆ hash_algo

uint8_t pgpPktOnepass_s::hash_algo

hash algorithm.

Definition at line 528 of file rpmpgp.h.

## ◆ nested

uint8_t pgpPktOnepass_s::nested

Definition at line 531 of file rpmpgp.h.

## ◆ pubkey_algo

uint8_t pgpPktOnepass_s::pubkey_algo

public key algorithm.

Definition at line 529 of file rpmpgp.h.

## ◆ signid

pgpKeyID_t pgpPktOnepass_s::signid

key ID of signer.

Definition at line 530 of file rpmpgp.h.

## ◆ sigtype

uint8_t pgpPktOnepass_s::sigtype

signature type.

Definition at line 527 of file rpmpgp.h.

## ◆ version

uint8_t pgpPktOnepass_s::version

version number (3).

Definition at line 526 of file rpmpgp.h.

The documentation for this struct was generated from the following file:

- rpmpgp.h